%define upstream_name    Test-MockObject
%define upstream_version 1.20120301

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Perl extension for emulating troublesome interfaces
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CGI)
BuildRequires: perl(Carp)
BuildRequires: perl(Devel::Peek)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::Builder)
BuildRequires: perl(Test::Exception) >= 0.310.0
BuildRequires: perl(Test::More) >= 0.980.0
BuildRequires: perl(Test::Warn) >= 0.230.0
BuildRequires: perl(UNIVERSAL::can) >= 1.201.106.170
BuildRequires: perl(UNIVERSAL::isa) >= 1.201.106.140
BuildRequires: perl(base)
BuildRequires: perl(overload)
BuildRequires: perl(strict)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description 
It's a simple program that doesn't use any other modules, and those are easy to
test. More often, testing a program completely means faking up input to another
module, trying to coax the right output from something you're not supposed to
be testing anyway.

Testing is a lot easier when you can control the entire environment. With
Test::MockObject, you can get a lot closer.

Test::MockObject allows you to create objects that conform to particular
interfaces with very little code. You don't have to reimplement the behavior,
just the input and the output.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%install
%makeinstall_std

%check
%{__make} test

%files
%doc Changes LICENSE META.yml MYMETA.yml README
%{perl_vendorlib}/Test
%{_mandir}/*/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.201.203.10-2.mga3
+ Revision: 373626
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Mar 05 2012 jquelin <jquelin> 1.201.203.10-1.mga2
+ Revision: 218805
- update to 1.20120301

* Fri Jun 17 2011 jquelin <jquelin> 1.201.106.120-1.mga2
+ Revision: 108999
- update to 1.20110612

* Sat Jan 22 2011 jquelin <jquelin> 1.90.0-1.mga1
+ Revision: 31268
- mageia rebuild
- imported package perl-Test-MockObject

